<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.currency.currency&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="class">Class k.c.currency(<a href="kiwi.datatypes.Decimal.html">Decimal</a>):</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a>.<a href="kiwi.currency.html">currency</a></span>
      
      <a href="classIndex.html#kiwi.currency.currency">View In Hierarchy</a>
    </p>
    <div>
      
    </div>
    <div>A datatype representing currency, used together with the list and the 
framework
<table class="fieldTable"></table></div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id325">
  
  
  
  
  <tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.currency.currency.html#__new__">__new__</a></td>
    <td><span>Convert value to currency.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.currency.currency.html#format">format</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.currency.currency.html#__repr__">__repr__</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.currency.currency.__new__"></a>
        <a name="__new__"></a>
        <div class="functionHeader">
        
        def __new__(cls, value):
        
      </div>
        <div class="functionBody">
          
          <div>Convert value to currency.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">value</td><td>value to convert
 (type: string or number
)</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.currency.currency.format"></a>
        <a name="format"></a>
        <div class="functionHeader">
        
        def format(self, symbol=True, precision=None):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.currency.currency.__repr__"></a>
        <a name="__repr__"></a>
        <div class="functionHeader">
        
        def __repr__(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>